Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class JDBCResource

    java.lang.Object
      |
      +--weblogic.security.service.ResourceBase
            |
            +--weblogic.security.service.JDBCResource

public final class JDBCResource
extends ResourceBase

The `JDBCResource` class is used by a container to specify the JDBC resource (and method related to the resource) that a caller is attempting to access.

The `toString` format (which is produced by the `ResourceBase` class) for a JDBC resource is:
`type=<jdbc>, application=, module=, category=connectionPool, resource=myPool, action=admin`

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Constructor Summary
`JDBCResource(java.lang.String application, java.lang.String module, java.lang.String category, java.lang.String resource, java.lang.String action)` Constructs a new `JDBCResource` with a target name composed from the `application`, `module`, `category`, `resource`, and `action` parameters.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this resource to the resource in the specified object.
`java.lang.String` | `getActionName()` Gets the name of the action being requested on the `JDBCResource`.
`java.lang.String` | `getApplicationName()` Gets the name of the application associated with this `JDBCResource`.
`java.lang.String[]` | `getKeys()` Gets keys for the `JDBCResource`.
`java.lang.String` | `getModuleName()` Gets the name of the `JDBCResource` module.
`int` | `getRepeatingFieldIndex()`
`int` | `getRepeatingFieldTerminatingIndex()`
`java.lang.String` | `getResourceName()` Gets the name of the `JDBCResource`.
`java.lang.String` | `getResourceType()` Gets the category of the `JDBCResource`.
`java.lang.String` | `getType()` Gets the type of this resource (`JDBCResource`).
`void` | `initialize(java.lang.String application, java.lang.String module, java.lang.String category, java.lang.String resource, java.lang.String action)` Deprecated. As of 04/01/02, the constructor should be used instead.
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `JDBCResource`.
`protected void` | `writeResourceString(java.lang.StringBuffer buf)` Writes a string representation of the resource to buffer.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, getFieldType, getID, getParentResource, getValues, hashCode, init, init, reset, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBCResource

    public JDBCResource(java.lang.String application,
                        java.lang.String module,
                        java.lang.String category,
                        java.lang.String resource,
                        java.lang.String action)

  Constructs a new `JDBCResource` with a target name composed from the `application`, `module`, `category`, `resource`, and `action` parameters.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `module` - a String name of the module, as it appears in the corresponding `<display-name>` element. The `<display-name>` is associated with the `<web-app>` element in the deployment descriptor. Because the `<display-name>` element is optional in the `<web-app>` element of the deployment descriptor, the name of the `.war` file containing the Web resource, less the '`.war`' extension, may be used in its absence.

    `category` - a String indicating the category of the JDBC resource. Valid values for this parameter are restricted to the following:
    - `ConnectionPool`
    - `MultiPool`

    `resource` - a String representing the name of the JDBC resource. If the value of the `resourceType` parameter is `ConnectionPool`, then this parameter is the name of the connection pool. A value of `null` indicates that the security policy for the resource pertains to all resource categories that match the other parameters of the resource specification, without consideration for the resource name.

    `action` - a String representing the name of the action being requested on the resource. Valid values for this parameter are restricted to the following:
    - `reserve`
    - `admin`
    - `shrink`
    - `reset`

Method Detail

### initialize

    public void initialize(java.lang.String application,
                           java.lang.String module,
                           java.lang.String category,
                           java.lang.String resource,
                           java.lang.String action)

  Deprecated. As of 04/01/02, the constructor should be used instead.

  Replaces `application`, `module`, `category`, `resource`, and `action` parameters of the resource with the specified values.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `module` - a String name of the module, as it appears in the corresponding `<display-name>` element. The `<display-name>` is associated with the `<web-app>` element in the deployment descriptor. Because the `<display-name>` element is optional in the `<web-app>` element of the deployment descriptor, the name of the `.war` file containing the Web resource, less the '`.war`' extension, may be used in its absence.

    `category` - a String indicating the category of the JDBC resource. Valid values for this parameter are restricted to the following:
    - `ConnectionPool`
    - `MultiPool`

    `resource` - a String representing the name of the JDBC resource. If the value of the `resourceType` parameter is `ConnectionPool`, then this parameter is the name of the connection pool. A value of `null` indicates that the security policy for the resource pertains to all resource categories that match the other parameters of the resource specification, without consideration for the resource name.

    `action` - a String representing the name of the action being requested on the resource. Valid values for this parameter are restricted to the following:
    - `reserve`
    - `admin`
    - `shrink`
    - `reset`

### getType

    public java.lang.String getType()

  Gets the type of this resource (`JDBCResource`).

  Returns:
    the type of this resource, represented as a String.

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `JDBCResource`. If the resource does not have a parent, the value of `null` must be returned.

  The parentage hierarchy for the `JDBCResource` is:

  `type=<jdbc>, application=, module=, resourceType=connectionPool, resource=myPool, action=
  type=<jdbc>, application=, module=, resourceType=connectionPool, resource=myPool
  type=<jdbc>, application=, module=, resourceType=connectionPool, action=
  type=<jdbc>, application=, module=, resourceType=connectionPool
  type=<jdbc>, application=, module=, action=
  type=<jdbc>, application=, module=
  type=<jdbc>, action=
  type=<jdbc>`

  The old deprecated parentage hierarchy for the `JNDIResource` (with -Dweblogic.security.scopeResourceAction) is:

  `type=<jdbc>, application=, module=, category=connectionPool, resource=myPool, action=
  type=<jdbc>, application=, module=, category=connectionPool
  type=<jdbc>, application=, module=
  type=<jdbc>`

  Returns:
    the `Resource` object of the parent resource.

  Overrides:
    makeParent in class ResourceBase

### getRepeatingFieldIndex

    public int getRepeatingFieldIndex()

  Overrides:
    getRepeatingFieldIndex in class ResourceBase

### getRepeatingFieldTerminatingIndex

    public int getRepeatingFieldTerminatingIndex()

  Overrides:
    getRepeatingFieldTerminatingIndex in class ResourceBase

### getKeys

    public java.lang.String[] getKeys()

  Gets keys for the `JDBCResource`.

  Returns:
    an array of Strings containing the `JDBCResource`'s keys.

  Overrides:
    getKeys in class ResourceBase

### getResourceType

    public java.lang.String getResourceType()

  Gets the category of the `JDBCResource`.

  Returns:
    the category of the `JDBCResource`, represented as a String.

### getResourceName

    public java.lang.String getResourceName()

  Gets the name of the `JDBCResource`.

  Returns:
    the name of the `JDBCResource`, represented as a Strong

### getActionName

    public java.lang.String getActionName()

  Gets the name of the action being requested on the `JDBCResource`.

  Returns:
    the action being requested on the `JDBCResource`, represented as a String

### getApplicationName

    public java.lang.String getApplicationName()

  Gets the name of the application associated with this `JDBCResource`.

  Returns:
    the name of the application associated with this `JDBCResource`, represented as a String.

### getModuleName

    public java.lang.String getModuleName()

  Gets the name of the `JDBCResource` module.

  Returns:
    the name of the `JDBCResource` module, represented as a String.

### writeResourceString

    protected void writeResourceString(java.lang.StringBuffer buf)

  Writes a string representation of the resource to buffer.

  Each type of resource is first printed in angled brackets. Then, each key is printed, in order, along with it's value. The keys are comma-separated. Values that are lists are comma-separated and delineated by open and close curly braces. Each value is printed as is, except that commas (,), open braces ({), close braces (}), and back slashes (\) are each escaped with a backslash.

  Note: Because this method produces a result based on the concatenation of strings, it may be expensive in terms of performance.

  Parameters:
    `buf` - buffer to write to.
  Overrides:
    writeResourceString in class ResourceBase

### equals

    public boolean equals(java.lang.Object obj)

  Compares this resource to the resource in the specified object.

  Parameters:
    `obj` - the other resource with which to compare this resource.

  Returns:
    `TRUE` if the resource passed in matches this resource, and `FALSE` otherwise.

  Overrides:
    equals in class ResourceBase
  See Also:
    `Object.equals(Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference